Subject: bug#44509: 28.0.50; Error querying with new gnus-search and notmuch

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 07 Nov 2020 18:23:43 -0800

"Jose A. Ortega Ruiz" <[email-masked]> writes:

> Hi,
>
> I've been trying the recently added gnus-search with an nnimap local
> server (dovecot) that i index with notmuch.  More concretely:

I'm curious if this used to work before gnus-search? My understanding is
that it never should have worked: notmuch returns search results as
filenames on your local system, while dovecot wants search results
returned as its own internal message UIDs. 

If this worked before gnus-search, I would very much like to know that,
and to know *how* it worked, given that it's two systems that aren't
meant to talk to one another.

Thanks,
Eric